Bug 1008006 - Issue with initscripts.x86_64 0:9.03.38-1.el6_4.2 in RHEL 6.1 [NEEDINFO]
Issue with initscripts.x86_64 0:9.03.38-1.el6_4.2 in RHEL 6.1
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.1
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 14:32 EDT by ananradh
Modified: 2016-11-25 08:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 08:14:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lnykryn: needinfo? (ananradh)


Attachments (Terms of Use)

  None (edit)
Description ananradh 2013-09-13 14:32:13 EDT
Description of problem:

We have upgraded initscripts from 9.03.23-1.el6 to 9.03.38-1.el6_4.2 to fix Unable to continue with Ctrl+D or login after a failed file system check.

Server is hanging after starting crond service , we are unable to login screen.

The issue has been fixed after downgrade from the newer version.

Version-Release number of selected component (if applicable):
  initscripts.x86_64 0:9.03.38-1.el6_4.2

How reproducible:

 Upgrade initscripts rpm to 9.03.38-1.el6_4.2 version and bounce.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Lukáš Nykrýn 2013-09-16 04:36:09 EDT
There is a lot of changes between those two versions, so I can't say what to suspect. Can you please attach /var/log/messages and list of files in /etc/rc3.d and /etc/rc5.d? Also can you get a getty on the other ttys?
Comment 3 ananradh 2013-09-16 09:49:59 EDT
Thanks for your comments.

Please find the plymouth path in the version "9.03.23".

$ rpm -qa|grep -i initscripts
initscripts-9.03.23-1.el6.x86_64


$ cat /etc/rc.d/rc.sysinit |grep -i plymouth
PLYMOUTH=
[ -x /usr/bin/plymouth ] && PLYMOUTH=yes
    [ -n "$PLYMOUTH" ] && plymouth --hide-splash
                [ -n "$PLYMOUTH" ] && plymouth --hide-splash
                [ -n "$PLYMOUTH" ] && plymouth --show-splash
                [ -n "$PLYMOUTH" ] && plymouth --hide-splash
[ "$PROMPT" != no ] && plymouth watch-keystroke --command "touch /var/run/confirm" --keys=Ii &
[ "$PROMPT" != no ] && plymouth --ignore-keystroke=Ii
[ananradh@plexrportap001 ~]$


After we upgrade initscripts it becomes "/bin/plymouth".

# rpm -qa|grep -i initscripts
initscripts-9.03.38-1.el6_4.2.x86_64

# cat /etc/rc.d/rc.sysinit |grep -i plymouth
PLYMOUTH=
[ -x /bin/plymouth ] && PLYMOUTH=yes
    [ -n "$PLYMOUTH" ] && plymouth --hide-splash
                [ -n "$PLYMOUTH" ] && plymouth --hide-splash
                [ -n "$PLYMOUTH" ] && plymouth --show-splash
                [ -n "$PLYMOUTH" ] && plymouth --hide-splash
    if [ -x /bin/plymouth ]; then
        /bin/plymouth quit
[ "$PROMPT" != no ] && plymouth watch-keystroke --command "touch /var/run/confirm" --keys=Ii &
[ "$PROMPT" != no ] && plymouth --ignore-keystroke=Ii
if [ -x /bin/plymouth ]; then
    /bin/plymouth --sysinit
Comment 4 Lukáš Nykrýn 2013-09-16 10:31:28 EDT
Yes this was the fix for the issue.
Comment 5 RHEL Product and Program Management 2013-10-13 22:11:24 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Lukáš Nykrýn 2014-03-20 09:39:45 EDT
Still needing requested information from comment 2.

Note You need to log in before you can comment on or make changes to this bug.